GCC Bugzilla has been upgraded from version 4.4.9 to 5.0rc3. If you see any problem, please report it to bug 64968.
Bug 16278 - [3.4 regression] [meta-bug] Gcc failed to build Linux kernel with -mtune=merced
Summary: [3.4 regression] [meta-bug] Gcc failed to build Linux kernel with -mtune=merced
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.1
: P2 normal
Target Milestone: 3.4.2
Assignee: Jim Wilson
URL:
Keywords: meta-bug
Depends on: 15598 15653 15655 16130 16142 16143 16414 16445
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 16:35 UTC by H.J. Lu
Modified: 2004-07-15 03:41 UTC (History)
1 user (show)

See Also:
Host: ia64-unknown-linux-gnu
Target: ia64-unknown-linux-gnu
Build: ia64-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2004-06-29 16:41:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-06-29 16:35:58 UTC
The new DFA scheduler for ia64 doesn't work well for
Merced (Itanium 1). gcc 3.4 failed to compile 2.6 Linux
kernel configured for Merced. Here are some bugs

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15598
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15653
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15655
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16130
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16142
Comment 1 Andrew Pinski 2004-06-29 16:41:00 UTC
Confirmed.
Comment 2 H.J. Lu 2004-07-07 19:41:00 UTC
Add bug 16414.
Comment 3 H.J. Lu 2004-07-09 02:01:59 UTC
Add bug 16445.
Comment 4 Jim Wilson 2004-07-15 02:57:30 UTC
Can this one be closed yet?  Are you still looking for more problems?
Comment 5 H.J. Lu 2004-07-15 03:41:01 UTC
I built a 2.6.7 Linux kernel configured for Itanium 1 with the current gcc
3.4. The kernel booted and I didn't notice any issues.